Subject: [PATCH v15 04/10] arm64: Kprobes with single stepping support

From: [email-masked] (David Long)
Date: Thu, 21 Jul 2016 10:50:53 -0400

On 07/20/2016 11:49 AM, Catalin Marinas wrote:
> On Fri, Jul 08, 2016 at 12:35:48PM -0400, David Long wrote:
>> +#define MIN_STACK_SIZE(addr)	(on_irq_stack(addr, raw_smp_processor_id()) ? \
>> +	min((unsigned long)IRQ_STACK_SIZE,	\
>> +	IRQ_STACK_PTR(raw_smp_processor_id()) - (addr)) : \
>> +	min((unsigned long)MAX_STACK_SIZE,	\
>> +	(unsigned long)current_thread_info() + THREAD_START_SP - (addr)))
>
> I presume you've never tested the on_irq_stack() path in this macro.
>

The combined patches were run through the test suite we've been using 
all along.  Apparently that either does not test jprobes on functions 
using the interrupt stack or somehow just didn't happen to cause an 
overwrite of something critical.

-dl